0

I can't install Java in elementary. I tried to install it in my computer:

$ sudo add/apt/repository ppa>webupd8team/java

bash: webupd8team/java: No such file or directory

What am I doing wrong?

  • First of all, write in english please, if you want anyone except those who understand your language to help you. Second, in order to encourage people to help you or respond, you need at least a well structured and detailed post. Until then, I downvote. – ounos Oct 21 '16 at 23:18
  • I thought I had installed this update also, and yet my machine ignored java8. I think it may be due to python3 that you can't install some of the dependencies: sudo apt install software-properties-common Reading package lists... Done Building dependency tree Reading state information... Done Package software-properties-common is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source – user7049 Oct 23 '16 at 2:16
1

Add the PPA by doing the following:

sudo apt install software-properties-common
sudo add-apt-repository ppa:webupd8team/java
sudo apt update

This (1) lets you install PPAs on elementary Loki, (2) adds the PPA you want, and (3) update your records. Then you can install the package you were originally after.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.